//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2012.06.10 at 11:11:45 AM CEST 
//


package net.ihe.gazelle.cdagen.constraint.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;

import org.jboss.seam.annotations.Name;


/**
 * <p>Java class for property complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="property"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="lower" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="upper" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="xmlFeatureKind" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="xmlName" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="xmlNamespace" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@Entity
@Name("property")
@Table(name="cons_property", schema="public", uniqueConstraints = @UniqueConstraint(columnNames = "id"))
@SequenceGenerator(name = "cons_property_sequence", sequenceName = "cons_property_id_seq", allocationSize=1)

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "property", propOrder = {
	"id",
    "name",
    "lower",
    "upper",
    "type",
    "xmlFeatureKind",
    "xmlName",
    "xmlNamespace"
})
public class Property implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@NotNull
	@Column(name="id", nullable = false, unique = true)
	@GeneratedValue(strategy=GenerationType.SEQUENCE, generator="cons_property_sequence")
	protected Integer id;

    @XmlElement(required = true)
    protected String name;
    
    @XmlElement(required = true)
    protected String lower;
    
    @XmlElement(required = true)
    protected String upper;
    
    @XmlElement(required = true)
    protected String type;
    
    @XmlElement(required = true)
    protected String xmlFeatureKind;
    
    @XmlElement(required = true)
    protected String xmlName;
    
    @XmlElement(required = true)
    protected String xmlNamespace;
    
    @ManyToOne
    @JoinColumn(name = "classe_id")
    @XmlTransient
    protected Classe classe;

    public String getName() {
        return name;
    }

    public void setName(String value) {
        this.name = value;
    }

    public String getLower() {
        return lower;
    }

    public void setLower(String value) {
        this.lower = value;
    }

    public String getUpper() {
        return upper;
    }

    public void setUpper(String value) {
        this.upper = value;
    }

    public String getType() {
        return type;
    }

    public void setType(String value) {
        this.type = value;
    }

    public String getXmlFeatureKind() {
        return xmlFeatureKind;
    }

    public void setXmlFeatureKind(String value) {
        this.xmlFeatureKind = value;
    }

    public String getXmlName() {
        return xmlName;
    }

    public void setXmlName(String value) {
        this.xmlName = value;
    }

    public String getXmlNamespace() {
        return xmlNamespace;
    }

    public void setXmlNamespace(String value) {
        this.xmlNamespace = value;
    }

}
